Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QPlatinumStyle Class Reference

The QPlatinumStyle class provides Mac/Platinum look and feel. More...

`#include <qplatinumstyle.h>`

Inherits QWindowsStyle.

List of all member functions.

## Public Members

- QPlatinumStyle ()

## Protected Members

- QColor mixedColor ( const QColor & c1, const QColor & c2 ) const
- void drawRiffles ( QPainter * p, int x, int y, int w, int h, const QColorGroup & g, bool horizontal ) const

## Detailed Description

The QPlatinumStyle class provides Mac/Platinum look and feel.

This class implements the Platinum look and feel. It's an experimental class that tries to resemble a Macinosh-like GUI style with the QStyle system. The emulation is, however, far from being perfect yet.

See also Widget Appearance and Style.

## Member Function Documentation

### QPlatinumStyle::QPlatinumStyle ()

Constructs a QPlatinumStyle

### void QPlatinumStyle::drawRiffles ( QPainter * p, int x, int y, int w, int h, const QColorGroup & g, bool horizontal ) const`[protected]`

Draws the nifty Macintosh decoration used on sliders using painter p and colorgroup g. x, y, w, h and horizontal specify the geometry and orientation of the riffles.

### QColor QPlatinumStyle::mixedColor ( const QColor & c1, const QColor & c2 ) const`[protected]`

Mixes two colors c1 and c2 to a new color.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.